com.h3c.util.snmp

## Enum SnmpPduTrapV1.GenericIdType

- java.lang.Object
- - java.lang.Enum<SnmpPduTrapV1.GenericIdType>
  - - com.h3c.util.snmp.SnmpPduTrapV1.GenericIdType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpPduTrapV1.GenericIdType>
  Enclosing class:
    SnmpPduTrapV1

      public static enum SnmpPduTrapV1.GenericIdType
      extends Enum<SnmpPduTrapV1.GenericIdType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATION_FAILURE`
    `COLD_START`
    `EGP_NEIGHBOR_LOSS`
    `ENTERPRISE_SPECIFIC`
    `LINK_DOWN`
    `LINK_UP`
    `UNKNOWN`
    `WARM_START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpPduTrapV1.GenericIdType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpPduTrapV1.GenericIdType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SnmpPduTrapV1.GenericIdType UNKNOWN

    - #### COLD_START

          public static final SnmpPduTrapV1.GenericIdType COLD_START

    - #### WARM_START

          public static final SnmpPduTrapV1.GenericIdType WARM_START

    - #### LINK_DOWN

          public static final SnmpPduTrapV1.GenericIdType LINK_DOWN

    - #### LINK_UP

          public static final SnmpPduTrapV1.GenericIdType LINK_UP

    - #### AUTHENTICATION_FAILURE

          public static final SnmpPduTrapV1.GenericIdType AUTHENTICATION_FAILURE

    - #### EGP_NEIGHBOR_LOSS

          public static final SnmpPduTrapV1.GenericIdType EGP_NEIGHBOR_LOSS

    - #### ENTERPRISE_SPECIFIC

          public static final SnmpPduTrapV1.GenericIdType ENTERPRISE_SPECIFIC

  - ### Method Detail

    - #### values

          public static SnmpPduTrapV1.GenericIdType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpPduTrapV1.GenericIdType c : SnmpPduTrapV1.GenericIdType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpPduTrapV1.GenericIdType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.